--- C:\Python24\Lib\site-packages\matplotlib\backends\backend_wxagg org.py	Sun Apr 10 10:52:31 2005
+++ C:\Python24\Lib\site-packages\matplotlib\backends\backend_wxagg.py	Sun Apr 10 10:13:34 2005
@@ -1,4 +1,4 @@
-from __future__ import division 
+from __future__ import division
 """
 
  backend_wx.py
@@ -8,7 +8,7 @@
  Hunter (jdhunter@...4...)
 
  Copyright (C) Jeremy O'Donoghue & John Hunter, 2003-4
- 
+
  License: This work is licensed under the matplotlib license( PSF
  compatible). A copy should be included with this source code.
 
@@ -25,20 +25,20 @@
 from matplotlib.figure import Figure
 from matplotlib import rcParams
 import matplotlib
-from wxPython.wx import *
+import wx
 
 class FigureFrameWxAgg(FigureFrameWx):
     def get_canvas(self, fig):
         return FigureCanvasWxAgg(self, -1, fig)
 
-              
+
 class FigureCanvasWxAgg(FigureCanvasWx,FigureCanvasAgg):
     """
     The FigureCanvas contains the figure and does event handling.
-    
+
     In the wxPython backend, it is derived from wxPanel, and (usually)
     lives inside a frame instantiated by a FigureManagerWx. The parent
-    window probably implements a wxSizer to control the displayed
+    window probably implements a wx.Sizer to control the displayed
     control size - but we give a hint as to our preferred minimum
     size.
     """
@@ -50,14 +50,14 @@
         """
         DEBUG_MSG("draw()", 1, self)
         FigureCanvasAgg.draw(self)
-        s = self.tostring_rgb()  
+        s = self.tostring_rgb()
         w = int(self.renderer.width)
         h = int(self.renderer.height)
-        image = wxEmptyImage(w,h)
+        image =wx.EmptyImage(w,h)
         image.SetData(s)
         self.bitmap = image.ConvertToBitmap()
         self.gui_repaint()
-        
+
 
     def print_figure(self, filename, dpi=150, facecolor='w',
                      edgecolor='w', orientation='portrait'):
@@ -77,7 +77,7 @@
                "BMP (*.bmp)|*.bmp|"  \
                "PNG (*.png)|*.png"  \
 
-    
+
 
 def new_figure_manager(num, *args, **kwargs):
     """
@@ -92,7 +92,5 @@
     figmgr = frame.get_figure_manager()
     if matplotlib.is_interactive():
         figmgr.canvas.realize()
-        figmgr.frame.Show() 
+        figmgr.frame.Show()
     return figmgr
-
-
